summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2016-04-03 22:24:16 +0100
committerJames Le Cuirot <chewi@gentoo.org>2016-04-03 22:42:23 +0100
commit336270493d74d21eb601a4f933d74731b3017e7b (patch)
treed5a7459cb075306ca579a07d8e47ea7fee13c25a /dev-java
parentdev-ruby/capybara: Remove ruby19 (diff)
downloadgentoo-336270493d74d21eb601a4f933d74731b3017e7b.tar.gz
gentoo-336270493d74d21eb601a4f933d74731b3017e7b.tar.bz2
gentoo-336270493d74d21eb601a4f933d74731b3017e7b.zip
dev-java/spymemcached: Remove optional dependence on Spring Framework
Our Spring Framework packages are going to be masked because they're outdated, vulnerable, and not likely to be updated soon. Straight to stable because I'm just removing USE-based functionality. Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/spymemcached/metadata.xml3
-rw-r--r--dev-java/spymemcached/spymemcached-2.9.1-r1.ebuild (renamed from dev-java/spymemcached/spymemcached-2.9.1.ebuild)13
2 files changed, 3 insertions, 13 deletions
diff --git a/dev-java/spymemcached/metadata.xml b/dev-java/spymemcached/metadata.xml
index 82afaa0a577..f120820fba7 100644
--- a/dev-java/spymemcached/metadata.xml
+++ b/dev-java/spymemcached/metadata.xml
@@ -5,9 +5,6 @@
<email>java@gentoo.org</email>
<name>Java</name>
</maintainer>
- <use>
- <flag name="spring">Build support for the spring framework</flag>
- </use>
<upstream>
<remote-id type="google-code">spymemcached</remote-id>
</upstream>
diff --git a/dev-java/spymemcached/spymemcached-2.9.1.ebuild b/dev-java/spymemcached/spymemcached-2.9.1-r1.ebuild
index 5a9328d3a36..74e123ceeb1 100644
--- a/dev-java/spymemcached/spymemcached-2.9.1.ebuild
+++ b/dev-java/spymemcached/spymemcached-2.9.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -16,11 +16,8 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="spring"
-
CDEPEND="dev-java/log4j:0
- dev-java/slf4j-api:0
- spring? ( dev-java/spring-beans:3.2 )"
+ dev-java/slf4j-api:0"
DEPEND=">=virtual/jdk-1.5
${CDEPEND}"
@@ -33,9 +30,5 @@ S="${WORKDIR}"
JAVA_GENTOO_CLASSPATH="log4j,slf4j-api"
java_prepare() {
- if use spring; then
- JAVA_GENTOO_CLASSPATH+=",spring-beans-3.2"
- else
- rm net/spy/memcached/spring/MemcachedClientFactoryBean.java || die
- fi
+ rm net/spy/memcached/spring/MemcachedClientFactoryBean.java || die
}